package main

import (
	"fmt"
	"net/http"
)

func mainPageHandler(w http.ResponseWriter, r *http.Request) {
	// Отправляем HTML-код главной страницы с ссылками
	fmt.Fprintln(w, `<html>
	<head><title>Главная страница</title></head>
	<body>
		<h1>Добро пожаловать!</h1>
		<ul>
			<li><a href="/OK">Страница OK</a></li>
			<li><a href="/Info">Страница Info</a></li>
		</ul>
	</body>
	</html>`)
}

func okHandler(w http.ResponseWriter, r *http.Request) {
	w.WriteHeader(http.StatusOK) // Отправляем статус 200
	fmt.Fprintln(w, "OK")        // Отправляем текст "OK"
}

func infoHandler(w http.ResponseWriter, r *http.Request) {
	w.WriteHeader(http.StatusOK) // Отправляем статус 200
	// Отправляем информацию о студенте
	info := "ФИО: Аникин Илья Дмитриевич, Группа: 714"
	fmt.Fprintln(w, info)
}

func main() {
	http.HandleFunc("/", mainPageHandler) // Обработка главной страницы
	http.HandleFunc("/OK", okHandler)     // Обработка запроса на /OK
	http.HandleFunc("/Info", infoHandler) // Обработка запроса на /Info

	port := ":8080" // Добавил ради красоты
	fmt.Printf("Запуск сервера на порту %s...\n", port)
	if err := http.ListenAndServe(port, nil); err != nil {
		fmt.Println("Ошибка при запуске сервера:", err)
	}
}
